import { $ } from "bun"
import { resolve, join } from "path"
import { untilde } from "./utils"

export const NOSE_ICON = ` ͡° ͜ʖ ͡°`

export const NOSE_SYS_BIN = resolve("./bin")

export const NOSE_DIR = resolve(untilde(process.env.NOSE_DIR || "./nose"))
export const NOSE_BIN = join(NOSE_DIR, "bin")
export const NOSE_WWW = join(NOSE_DIR, "www")

export const NOSE_DATA = resolve("./data")

export const NOSE_STARTED = Date.now()
export const GIT_SHA = (await $`git rev-parse HEAD`.text()).trim()